Paketname
xpdf
Datum
2004-12-29
Advisory ID
MDKSA-2004:161
Betroffene Versionen
CS2.1 x86_64 , 10.0 amd64 , 10.1 i586 , 10.0 i586 , CS2.1 i586 , 10.1 x86_64

Problembeschreibung

iDefense reported a buffer overflow vulnerability, which affects versions of xpdf <= xpdf-3.0. An attacker could construct a malicious payload file which could enable arbitrary code execution on the target system. The updated packages are patched to protect against these vulnerabilities.

Aktualisierte Pakete

CS2.1 x86_64

 9c2e5142bfc7ccb86a1128ffbe01d6e0  x86_64/corporate/2.1/RPMS/xpdf-1.01-4.7.C21mdk.x86_64.rpm
833242fb75cf79467ec5a08ed8adfa61  x86_64/corporate/2.1/SRPMS/xpdf-1.01-4.7.C21mdk.src.rpm

10.0 amd64

 62509edac8644429927bdd0010a659a2  amd64/10.0/RPMS/xpdf-3.00-5.3.100mdk.amd64.rpm
fb72e753bca1f86b8626cbe13b80d23e  amd64/10.0/SRPMS/xpdf-3.00-5.3.100mdk.src.rpm

10.1 i586

 d1561d6d0fd02a2496746f82fdfc6562  10.1/RPMS/xpdf-3.00-7.2.101mdk.i586.rpm
5c29e8af76ff908f555e31f879fe21f2  10.1/SRPMS/xpdf-3.00-7.2.101mdk.src.rpm

10.0 i586

 15fbad3433788e43e4de7ed9add65e1c  10.0/RPMS/xpdf-3.00-5.3.100mdk.i586.rpm
fb72e753bca1f86b8626cbe13b80d23e  10.0/SRPMS/xpdf-3.00-5.3.100mdk.src.rpm

CS2.1 i586

 0a2f55a49d8be38c9afaf8483bf8e300  corporate/2.1/RPMS/xpdf-1.01-4.7.C21mdk.i586.rpm
833242fb75cf79467ec5a08ed8adfa61  corporate/2.1/SRPMS/xpdf-1.01-4.7.C21mdk.src.rpm

10.1 x86_64

 b7ad00178ebc7f78ff2335ddcaff3354  x86_64/10.1/RPMS/xpdf-3.00-7.2.101mdk.x86_64.rpm
5c29e8af76ff908f555e31f879fe21f2  x86_64/10.1/SRPMS/xpdf-3.00-7.2.101mdk.src.rpm

Referenzen